For the complete documentation index, see llms.txt. This page is also available as Markdown.

Portal user groups

Busca grupo de usuario por ID

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
userGroupIdstringObrigatório

ID do grupo de usuario

Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
profilestring · enumOpcionalValores possíveis:
activebooleanOpcional
get/portal-user-groups/{userGroupId}
GET /api/b2b/portal-user-groups/{userGroupId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "profile": "SELLER",
  "active": true,
  "permissions": {
    "menu_items": [
      {
        "menu_item_id": "text",
        "title": "text",
        "access": true
      }
    ],
    "new_orders": [
      {
        "new_order_id": "text",
        "title": "text",
        "access": true
      }
    ]
  }
}

Atualizar grupo de usuario

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
userGroupIdstringObrigatório

ID do grupo de usuario

Corpo
namestringOpcional
profilestring · enumOpcionalValores possíveis:
activebooleanOpcional
Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
profilestring · enumOpcionalValores possíveis:
activebooleanOpcional
put/portal-user-groups/{userGroupId}
PUT /api/b2b/portal-user-groups/{userGroupId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 194

{
  "name": "text",
  "profile": "SELLER",
  "active": true,
  "permissions": {
    "menu_items": [
      {
        "id": "text",
        "menu_item_id": "text",
        "access": true
      }
    ],
    "new_orders": [
      {
        "id": "text",
        "new_order_id": "text",
        "access": true
      }
    ]
  }
}
{
  "id": "text",
  "name": "text",
  "profile": "SELLER",
  "active": true,
  "permissions": {
    "menu_items": [
      {
        "menu_item_id": "text",
        "title": "text",
        "access": true
      }
    ],
    "new_orders": [
      {
        "new_order_id": "text",
        "title": "text",
        "access": true
      }
    ]
  }
}

Excluir grupo de usuario

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
userGroupIdstringObrigatório

ID do grupo de usuario

Respostas
204

User group deleted successfully

Sem conteúdo

delete/portal-user-groups/{userGroupId}
DELETE /api/b2b/portal-user-groups/{userGroupId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Sem conteúdo